Payments
Payments track payment transactions linked to Invoices or Subscriptions.
Endpoints
List
GET
/v1/odata/PaymentGet by ID
GET
/v1/odata/Payment({id})Create
POST
/v1/odata/PaymentUpdate
PUT
/v1/odata/Payment({id})Delete
DELETE
/v1/odata/Payment({id})Fields
| Field | Type | Description |
|---|---|---|
Amount | Double | Payment amount |
Currency | String | Currency code |
Reference | String | Payment reference |
Provider | String | Payment provider |
PayLink | String | Payment link URL |
ExtraInfo | String | Additional information |
Metadata | String | Payment metadata (JSON) |
CreatedAt | DateTimeOffset | Payment creation timestamp |
UpdatedAt | DateTimeOffset | Last update timestamp |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| Invoice | Activity.Invoice | N:1 | Linked invoice |
| Subscription | Activity.Subscription | N:1 | Linked subscription |
| PaymentMethod | Datastore.PaymentMethod | N:1 | Payment method |
| PaymentStatus | Datastore.PaymentStatus | N:1 | Payment status |
Expanding Relationships
GET
/v1/odata/Payment({id})?$expand=InvoiceNavigating Relationships
GET
/v1/odata/Payment({id})/Invoice